<?php
/**
 * Helper class for Langtolang Multilingual Dictionary module
 * 
 * @package    langtolang.com
 * @link http://www.langtolang.com
 * @license        GNU/GPL, see LICENSE.php
 * mod_langtolang is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */
class modLangtolangHelper
{
	function getParams(&$params)
	{
		$LANGUAGES = array(
								"english"=>"English",
								"arabic"=>"Arabic",
								"chinese_simplified"=>"Chinese Simplified",
								"chinese_traditional"=>"Chinese Traditional",
								"czech"=>"Czech",
								"danish"=>"Danish",
								"dutch"=>"Dutch",
								"estonian"=>"Estonian",
								//"esperanto"=>"Esperanto",
								"finnish"=>"Finnish",
								"french"=>"French",
								"german"=>"German",
								"greek"=>"Greek",
								"hungarian"=>"Hungarian",
								"icelandic"=>"Icelandic",
								"indonesian"=>"Indonesian",
								"italian"=>"Italian",
								"japanese"=>"Japanese",
								"korean"=>"Korean",
								"latvian"=>"Latvian",
								"lithuanian"=>"Lithuanian",
								"norwegian"=>"Norwegian",
								"polish"=>"Polish",
								"portuguese_brazil"=>"Portuguese Brazil",
								"portuguese_portugal"=>"Portuguese Portugal",
								"romanian"=>"Romanian",
								"russian"=>"Russian",
								//"serbo_croat"=>"Serbo Croat",
								"slovak"=>"Slovak",
								"slovenian"=>"Slovenian",
								"spanish"=>"Spanish",
								//"swahili"=>"Swahili",
								"swedish"=>"Swedish",
								"turkish"=>"Turkish");

		$default_language_from	= $params->get( 'default_language_from', 'english' );	
		$default_language_to	= $params->get( 'default_language_to', 'spanish' );	
		$width 			= 20;
		$text 			= $params->get( 'default_text', '' );
		$pre_text 			= "Word";
		$output = '<input name="txtLang" id="txtLang" maxlength="100"  type="text" size="'. $width .'" value="'. $text .'"  onblur="if(this.value==\'\') this.value=\''. $text .'\';" onfocus="if(this.value==\''. $text .'\') this.value=\'\';" />';
		$html='<div style="width: auto"><form name="langtolang" method="get" action="http://www.langtolang.com/" target="_blank">'	.$pre_text. '<br/>' .$output. '<br/><select name="selectFrom">';

		foreach ($LANGUAGES as $key => $value) {
			if ($default_language_from==$key) {
				$html .= '<option selected="selected" value="'.$key.'" label="'.$value.'">'.$value.'</option>';
			} else {
				$html .= '<option value="'.$key.'" label="'.$value.'">'.$value.'</option>';
			}	
		}

		$html .= '
		</select>
		&nbsp;To:&nbsp;<br/>
		<select name="selectTo">';

		foreach ($LANGUAGES as $key => $value) {
			if ($default_language_to==$key) {
				$html .= '<option selected="selected" value="'.$key.'" label="'.$value.'">'.$value.'</option>';
			} else {
				$html .= '<option value="'.$key.'" label="'.$value.'">'.$value.'</option>';
			}	
		}
		$html .= '</select>';

		$html.='<br/><input type="submit" name="Submit" value="Search"></form></div>';
		return $html;
	}
}
